# eric3.UI.SplashScreen

Module implementing a splashscreen for eric3.

### Classes

NoneSplashScreen | Class implementing a "None" splashscreen for eric3.
SplashScreen | Class implementing a splashscreen for eric3.

### Functions

None

## NoneSplashScreen

Class implementing a "None" splashscreen for eric3. This class implements the same interface as the real splashscreen, but simply does nothing.

### Derived from

None

### Methods

NoneSplashScreen | Constructor
message | Public method to show a message in the bottom part of the splashscreen.

### NoneSplashScreen (Constructor)

NoneSplashScreen()

Constructor

### NoneSplashScreen.message

message(msg)

Public method to show a message in the bottom part of the splashscreen.

msg
  message to be shown (string or QString)

Up

## SplashScreen

Class implementing a splashscreen for eric3.

### Derived from

QVBox

### Methods

SplashScreen | Constructor
message | Public method to show a message in the bottom part of the splashscreen.

### SplashScreen (Constructor)

SplashScreen()

Constructor

### SplashScreen.message

message(msg)

Public method to show a message in the bottom part of the splashscreen.

msg
  message to be shown (string or QString)

Up